Bug 621687 - (CVE-2010-2862) CVE-2010-2862 acroread: integer overflow flaw allows remote arbitrary code execution
CVE-2010-2862 acroread: integer overflow flaw allows remote arbitrary code ex...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
public=20100804,reported=20100805,sou...
: Security
Depends On: 624839 624840 625503
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 15:57 EDT by Vincent Danen
Modified: 2016-03-04 06:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-20 08:27:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0636 normal SHIPPED_LIVE Critical: acroread security update 2010-08-20 08:09:32 EDT

  None (edit)
Description Vincent Danen 2010-08-05 15:57:25 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2862 to
the following vulnerability:

Name: CVE-2010-2862
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-2862
Assigned: 20100727
Reference: MISC: http://securityevaluators.com/files/papers/CrashAnalysis.pdf
Reference: MISC: http://www.zdnet.co.uk/news/security-threats/2010/08/04/adobe-confirms-pdf-security-hole-in-reader-40089737/
Reference: SECUNIA:40766
Reference: URL: http://secunia.com/advisories/40766

Integer overflow in CoolType.dll in Adobe Reader 8.2.3 and 9.3.3, and
Acrobat 9.3.3, allows remote attackers to execute arbitrary code via a
TrueType font with a large maxCompositePoints value in a Maximum
Profile (maxp) table.


This is also mentioned in the following Adobe bulletin:

http://www.adobe.com/support/security/bulletins/apsb10-17.html
Comment 2 errata-xmlrpc 2010-08-20 07:40:59 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0636 https://rhn.redhat.com/errata/RHSA-2010-0636.html

Note You need to log in before you can comment on or make changes to this bug.